Loading ...
Sorry, an error occurred while loading the content.

RE: mod_perl compilitation errors

Expand Messages
  • sunil.thunga@wipro.com
    Thank you very much for help. I got the latest mod_per and I tried to compile with all the possible options to my knowledge and failed to build the static
    Message 1 of 3 , Oct 27, 2005
    • 0 Attachment

      Thank you very much for help.

      I got the latest mod_per and I tried to compile with all the possible options to my knowledge and failed to build the static compilation.

       

      Now, I am trying to do the dynamic compilation and still getting the same errors. Please help me out from these problems.

       

      I am trying to support ssl in apache web server by using below packages (in the same order of compilation) and I am facing some problems while compiling the mod_perl.

       

      perl-5.8.0

              sh Configure \

                      -Dprefix=$INET_TOP/lib/$OPSYS/perl \

                      -Dbin=$INET_TOP/bin/$OPSYS \

                      -Dstartperl=#!/usr/local/bin/perl \

                      -Duseshrplib=true \

                      -Dusemymalloc=false \

                      -Accflags='-xarch=v9 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64' \

                       -des < /dev/tty

              make

              make test

              make install

       

      openssl-0.9.8

      sh ./config --openssldir=$INET_TOP/lib/$OPSYS/openssl

      make

      make test

      make install

       

      httpd-2.0.55      

      ./configure --with-mpm=prefork --enable-rewrite \

      --prefix=$INET_TOP/lib/$OPSYS/apache \

      --with-ssl=$INET_TOP/lib/$OPSYS/openssl \

      --enable-ssl

      make

      make install

       

      mod_perl-2.0.2    

      $INET_TOP/bin/$OPSYS/perl Makefile.PL \

      MP_APXS=$INET_TOP/lib/$OPSYS/apache/bin/apxs

      make

      make install

       

      Perl, openssl, apache are compiled properly. And I am getting below error while compiling the mod_perl.

       

      LD_RUN_PATH="/smp/inet_4.0.1/lib/Solaris2.9/apache/lib:/usr/lib" /opt/SUNWspro/bin/cc  -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -R/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -R/smp/inet_4.0.1/lib/Solaris2.9/apache/lib  -G -xarch=v9 APR.o modperl_error.o modperl_bucket.o modperl_common_util.o modperl_common_log.o -xarch=v9 -o ../../../blib/arch/auto/APR/APR.so   -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -laprutil-0 -lexpat -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -lapr-0 -lsendfile -lrt -lm -lsocket -lnsl -lresolv -lpthread -ldl 

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libaprutil-0.so: wrong ELF class: ELFCLASS32

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libexpat.so: wrong ELF class: ELFCLASS32

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libapr-0.so: wrong ELF class: ELFCLASS32

      ld: fatal: File processing errors. No output written to ../../../blib/arch/auto/APR/APR.so

      *** Error code 1

      make: Fatal error: Command failed for target `../../../blib/arch/auto/APR/APR.so'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs/APR/APR

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs/APR

      *** Error code 1

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs

      *** Error code 1

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2

      *** Error code 1

      Running make install in mod_perl

      ================================

      cd "src/modules/perl" && make

      rm -f ../../../blib/arch/auto/APR/APR.so

      LD_RUN_PATH="/smp/inet_4.0.1/lib/Solaris2.9/apache/lib:/usr/lib" /opt/SUNWspro/bin/cc  -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -R/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -R/smp/inet_4.0.1/lib/Solaris2.9/apache/lib  -G -xarch=v9 APR.o modperl_error.o modperl_bucket.o modperl_common_util.o modperl_common_log.o -xarch=v9 -o ../../../blib/arch/auto/APR/APR.so   -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -laprutil-0 -lexpat -L/smp/inet_4.0.1/lib/Solaris2.9/apache/lib -lapr-0 -lsendfile -lrt -lm -lsocket -lnsl -lresolv -lpthread -ldl 

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libaprutil-0.so: wrong ELF class: ELFCLASS32

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libexpat.so: wrong ELF class: ELFCLASS32

      ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libapr-0.so: wrong ELF class: ELFCLASS32

      ld: fatal: File processing errors. No output written to ../../../blib/arch/auto/APR/APR.so

      *** Error code 1

      make: Fatal error: Command failed for target `../../../blib/arch/auto/APR/APR.so'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs/APR/APR

      *** Error code 1

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs/APR

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2/xs

      *** Error code 1

      make: Fatal error: Command failed for target `subdirs'

      Current working directory /smp/inet_4.0.1/lib/Solaris2.9/mod_perl-2.0.2

      *** Error code 1

      make: Fatal error: Command failed for target `MY_SCRIPT_TARGET'

      Current working directory /smp/inet_4.0.1/src/mod_perl

      *** Error code 1

      make: Fatal error: Command failed for target `INSTALL'

      Current working directory /smp/inet_4.0.1/src/mod_perl

      *** Error code 1

      make: Fatal error: Command failed for target `SUBDIRS_TARGET'

      Current working directory /smp/inet_4.0.1/src

      *** Error code 1

      make: Fatal error: Command failed for target `INSTALL'

      Current working directory /smp/inet_4.0.1/src

      *** Error code 1

      make: Fatal error: Command failed for target `SUBDIRS_TARGET'

      Current working directory /smp/inet_4.0.1

      *** Error code 1

      make: Fatal error: Command failed for target `install'

      Current working directory /smp/inet_4.0.1

      *** Error code 1

       

      Please let me know if you have any idea on

      1) how to correct these errors,

      2) package dependences,

      3) Configuration options.

       

      Thanks in advance.

       

      Regards,

      Sunil.

       

       

       

       

      -----Original Message-----
      From: Philip M. Gollucci [mailto:pgollucci@...]
      Sent: Tuesday, October 25, 2005 9:08 PM
      To: Sunil Kumar Reddy. T (WT01 - Voice & Next Generation Networks)
      Cc: modperl@...
      Subject: Re: mod_perl compilitation errors

       

      sunil.thunga@... wrote:

      > *Package Name: *openssl-0.9.8.tar.gz

      >

      > *Configuration options:* sh ./config

      > --openssldir=<path_to_openssl_installation>/openssl

      > *Package Name: *mod_perl-2.0-current.tar.gz

      Assuming thats current from today thats 2.0.2

      Please read, http://perl.apache.org/docs/2.0/rename.html

       

      As you didn't get an error for MP_INST_APACHE2=1 this, its not actually whats current today.

       

       From below, it looks like you're using v 1.99_09 which might be 1.5 years old.  Static complication (MP_USE_STATIC=1)

      didn't work well until recently.

       

      > ld: fatal: file /smp/inet_4.0.1/lib/Solaris2.9/apache/lib/libapr-0.so:

      > wrong ELF class: ELFCLASS32

      >

      > ld: fatal: File processing errors. No output written to

      > ../../../blib/arch/Apache2/auto/APR/APR.so

       

       

      > *I am seeking help in below points.*

      >

      > *1) Primarily, Please let me know if the packages are compatible with

      > each other?*

      Upgrade to 2.0.2 of mod_perl

      http://perl.apache.org/download/index.html

       

      > *2) Am I using correct configuration options? *

      Not really. See above.

       

      >

      > *3) Let me know the correct options, packages and how to eliminate the

      > above errors?*

      Assuming you have in decently recent version of your os (SUN/Solaris) looks like.  You might not need to install

      openssl. It might already be there.

       

      Also, if you going to compile a static mod_perl, you can skip the httpd configure.  All those args should be part of

      mod_perl's Makefile.PL line

      in the

       

      MP_AP_CONFIGURE==" --prefix=/usr/local/apache .... "

       

       

       

      --

      END

      ------------------------------------------------------------

           What doesn't kill us can only make us stronger.

                       Nothing is impossible.

                             

      Philip M. Gollucci (pgollucci@...) 301.254.5198

      Consultant / http://p6m7g8.net/Resume/

      Senior Developer / Liquidity Services, Inc.

         http://www.liquidityservicesinc.com

              http://www.liquidation.com

              http://www.uksurplus.com

              http://www.govliquidation.com

              http://www.gowholesale.com

       



      Confidentiality Notice

      The information contained in this electronic message and any attachments to this message are intended
      for the exclusive use of the addressee(s) and may contain confidential or privileged information. If
      you are not the intended recipient, please notify the sender at Wipro or Mailadmin@... immediately
      and destroy all copies of this message and any attachments.
    Your message has been successfully submitted and would be delivered to recipients shortly.